package com.clx.performance.param.app;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

@Getter
@Setter
@NoArgsConstructor
public class CheckMobileParam {

    @ApiModelProperty(value = "手机号", example = "1")
    @NotBlank(message = "手机号")
    private String mobile;

    @ApiModelProperty(value = "用户Id", example = "1")
    @NotNull(message = "用户Id")
    private Long userNo;

    @ApiModelProperty(value = "验证码", example = "1")
    @NotBlank(message = "验证码")
    private String captcha;
}
